#include <stdio.h>
#include <stdlib.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char *argv[]) {
	int n,i,j,x[100],y[100],m[100],br[100],z,r,b=0;
	printf("unesi broj ucenika\n");
	scanf("%d",&n);
	for(i=0;i<n;i++)
		{
			printf("unesi kordinate prvog ucenika\n");
			scanf("%d%d",&x[i],&y[i]);
		}
	for(i=0;i<n;i++)
		for(j=i+1;j<n;j++)
			{
				if(x[i]==x[j])
					{	
						m[i]=y[i]-y[j];
						br[i]++;
					}
				if(y[i]==y[j])
					{
						m[i]=x[i]-x[j];
						br[i]++;
					}
				for(z=j+1;z<n;z++)
					for(r=z+1;r<n;r++)
						{	
							if(x[i]-x[j]==x[z]-x[r])
								{
									m[i]=(y[i]-y[j])-(y[z]-y[r]);
									br[i]++;	
								}
							if(y[i]-y[j]==y[z]-y[r])
								{
									m[i]=(x[i]-x[j])-(x[z]-x[r]);
									br[i]++;	
								}
						}
		}
	for(i=0;i<n;i++)
		if(br[i]%2==0)
			b++;
	printf("%d",b-2);
	return 0;
}